<?php 
/**
 * @file
 * Pages include file.
 */

/**
 * Menu callback for pinned_site.js; 
 * generates javascript which contains statements for creating dynamic Jump list.
 */
function pinned_site_generate_js() {
  if (ob_get_level()) {
    ob_end_clean();
  }
  
  header("Content-Type: text/javascript; charset=utf8;");
  
  $file = './'. drupal_get_path('module', 'pinned_site') ."/pinned_site.js.inc";
  
  if (is_file($file)) {
    
    $icon = check_url(variable_get('pinned_site_recent_posts_icon', ''));
    $category_name = pinned_site_prepare_dynamic_jump_list_string(variable_get('pinned_site_recent_posts_jump_list_category_name', ''));
    $recent_posts_count = variable_get('pinned_site_recent_posts_count', 5);
    $recent_posts = pinned_site_get_recent_posts($recent_posts_count);
    
    foreach ($recent_posts as $key => $recent_post) {
      $recent_posts[$key]['title'] = pinned_site_prepare_dynamic_jump_list_string($recent_post['title']);
    }
    
    include($file);
  }
  
  module_invoke_all('exit');
  
  exit();
}